Bug 996052 (CVE-2013-4243) - CVE-2013-4243 libtiff (gif2tiff): possible heap-based buffer overflow in readgifimage()
Summary: CVE-2013-4243 libtiff (gif2tiff): possible heap-based buffer overflow in read...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-4243
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 996827 996832 996833 1063460 1063461 1063464 1063465
Blocks: 994449
TreeView+ depends on / blocked
 
Reported: 2013-08-12 10:31 UTC by Murray McAllister
Modified: 2019-09-29 13:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-27 19:25:53 UTC


Attachments (Terms of Use)
Proposed patch (689 bytes, patch)
2013-08-14 04:44 UTC, Huzaifa S. Sidhpurwala
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0222 normal SHIPPED_LIVE Moderate: libtiff security update 2014-02-27 23:33:36 UTC
Red Hat Product Errata RHSA-2014:0223 normal SHIPPED_LIVE Moderate: libtiff security update 2014-02-27 23:33:30 UTC

Description Murray McAllister 2013-08-12 10:31:23 UTC
A possible heap-based buffer overflow flaw was found in the readgifimage() function in gif2tiff, a tool to convert GIF images to TIFF. A remote attacker could provide a specially-crafted GIF file that, when processed by gif2tiff, would cause gif2tiff to crash or, potentially, execute arbitrary code with the privileges of the user running gif2tiff.

Comment 4 Huzaifa S. Sidhpurwala 2013-08-14 04:44:25 UTC
Created attachment 786400 [details]
Proposed patch

Comment 6 Huzaifa S. Sidhpurwala 2013-08-14 05:49:43 UTC
Created libtiff tracking bugs for this issue:

Affects: fedora-all [bug 996832]

Comment 7 Huzaifa S. Sidhpurwala 2013-08-14 05:49:48 UTC
Created mingw-libtiff tracking bugs for this issue:

Affects: fedora-all [bug 996833]

Comment 8 Huzaifa S. Sidhpurwala 2013-08-14 06:13:25 UTC
Acknowledgements:

This issue was discovered by Murray McAllister of the Red Hat Security Response Team.

Comment 10 Huzaifa S. Sidhpurwala 2013-08-14 10:06:20 UTC
Comment on attachment 786400 [details]
Proposed patch

Please note: this patch is incomplete.

Comment 11 Huzaifa S. Sidhpurwala 2013-08-22 04:56:47 UTC
Upstream bug:

http://bugzilla.maptools.org/show_bug.cgi?id=2451

Comment 15 errata-xmlrpc 2014-02-27 18:35:46 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0222 https://rhn.redhat.com/errata/RHSA-2014-0222.html

Comment 16 errata-xmlrpc 2014-02-27 18:39:26 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0223 https://rhn.redhat.com/errata/RHSA-2014-0223.html

Comment 17 Vincent Danen 2014-02-27 19:25:53 UTC
Statement:

(none)


Note You need to log in before you can comment on or make changes to this bug.